# Generated from ruby_home-0.2.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name ruby_home

Name: rubygem-%{gem_name}
Version: 0.2.6
Release: 1%{?dist}
Summary: Ruby HomeKit support
License: MIT
URL: https://github.com/karlentwistle/ruby_home
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5.0
# BuildRequires: rubygem(byebug) >= 11.0
# BuildRequires: rubygem(byebug) < 12
# BuildRequires: rubygem(plist) >= 3.4
# BuildRequires: rubygem(plist) < 4
# BuildRequires: rubygem(rack-test) >= 1.1.0
# BuildRequires: rubygem(rack-test) < 1.2
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(standard) >= 1.0
# BuildRequires: rubygem(standard) < 2
BuildArch: noarch

%description
RubyHome is a lightweight service you can run on your home network that
emulates the iOS HomeKit API. It supports community contributed plugins, which
are modules that provide a bridge from HomeKit to various 3rd-party APIs
provided by manufacturers of smart home devices.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/ruby_home
%{gem_instdir}/.github
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.hound.yml
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.standard.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/sbin
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/examples
%{gem_instdir}/rubyhome.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.2.6-1
- Initial package
